Skip to main content
POST
/
v2
/
insights
/
routings
/
form-field-options
Get routing form field options
curl --request POST \
  --url https://api.cal.com/v2/insights/routings/form-field-options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "selectedTeamId": 12,
  "routingFormId": "form_123"
}
'
import requests

url = "https://api.cal.com/v2/insights/routings/form-field-options"

payload = {
"scope": "user",
"selectedTeamId": 12,
"routingFormId": "form_123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: 'user', selectedTeamId: 12, routingFormId: 'form_123'})
};

fetch('https://api.cal.com/v2/insights/routings/form-field-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "id": "field_1",
      "label": "Company size",
      "type": "select",
      "options": [
        {
          "id": "option_1",
          "label": "Enterprise"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

selectedTeamId
number

Team ID for team-scoped routing insights

Example:

12

routingFormId
string

Routing form ID to filter fields

Example:

"form_123"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required